Package: org.codehaus.groovy.ast

## [Java] Class RecordComponentNode

- org.codehaus.groovy.ast.RecordComponentNode

-     public class RecordComponentNode
      extends AnnotatedNode

  Represents record component

  Since:
    4.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `RecordComponentNode(ClassNode declaringClass, String name, ClassNode type)`
    `RecordComponentNode(ClassNode declaringClass, String name, ClassNode type, List<AnnotationNode> annotations)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object o)`
    `` | `public String` | `getName()`
    `` | `public ClassNode` | `getType()`
    `` | `public int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public RecordComponentNode(ClassNode declaringClass, String name, ClassNode type)

    - #### public RecordComponentNode(ClassNode declaringClass, String name, ClassNode type, List<AnnotationNode> annotations)

  - ### Method Detail

    - #### @Override
      public boolean equals(Object o)

    - #### public String getName()

    - #### public ClassNode getType()

    - #### @Override
      public int hashCode()